// File: /include/js/Shared/XML/Exceptions.js
// Desc: XML exceptions
// $Revision: 8$
// $Date: 5/14/2007 12:10:35 PM$
// $Author: Donnie Tognazzini$
// $NoKeywords$

function XML_EX_InvalidXMLTag( tagName, expectedTagName )
{
    EXT_extend( this, new CWError( 'XML_EX_InvalidXMLTag', 'Found tag : "' + tagName + '". Expected : "' + expectedTagName + '".' ) );
}

function XML_EX_InitializeMembersFromXMLElementFailed( nestedException, elementNodeName, elementValue, requiredTopMostTagName )
{
    EXT_extend( this, new CWError( 'XML_EX_InitializeMembersFromXMLElementFailed',
                                   'requiredTopMostTagName=' + requiredTopMostTagName + '\n' +
                                   'elementNodeName="' + elementNodeName + '"\n' +
                                   'elementValue="' + elementValue + '"\n' ) );
    this.Nest( nestedException );
}

function XML_EX_RequiredXMLTagMissing( tagName )
{
    EXT_extend( this, new CWError( 'XML_EX_RequiredXMLTagMissing ' ) );
    this.Nest( nestedException );
}

function XML_EX_UnableToCreateDOMDOC( )
{
    EXT_extend( this, new CWError( 'XML_EX_UnableToCreateDOMDOC', 'Unable to create XML DOM document' ) );
    this.Nest( nestedException );
}

function XML_EX_UnexpectedXMLTag( nodeName, requiredTopMostTagName )
{
    EXT_extend( this, new CWError( 'XML_EX_UnexpectedXMLTag', 'nodeName : "' + nodeName + '". requiredTopMostTagName : "' + requiredTopMostTagName + '".' ) );
}
